{{- $footer      := .Site.Params.footer }}
{{- $logo        := index $footer "logo" }}
{{- $copyleft    := index $footer "copyleft" }}
{{- $quickLinks  := index $footer "quicklinks" }}
{{- $socialMedia := index $footer "socialmedia" }}
{{- $bulmaLogo   := index $footer "bulmalogo" }}

<div class="container" style="text-align: center;">
<div class="message is-dark is-medium" style="max-width: 500px; display: inline-block;">
  <div class="message-header">
    <p>The old moodle.net website has been archived</p>
    <button class="delete" aria-label="delete"></button>
  </div>
  <div class="message-body">
    Visit <a href="https://archive.moodle.net" target="_blank">archive.moodle.net</a> for courses and content previously shared on moodle.net
  </div>
</div>
</div>


<footer class="footer footer-dark">
  <div class="container">
    <div class="columns">
      <div class="column">
        <div class="footer-logo">
          <img src="{{ printf "/images/logos/%s" $logo | relURL }}">
        </div>

        <p class="mt-40">
          Icons <a href="http://creativecommons.org/licenses/by/3.0/" title="Creative Commons BY 3.0" target="_blank">CC</a> by <a href="https://www.flaticon.com/authors/zlatko-najdenovski" title="Zlatko Najdenovski">Zlatk</a>, <a href="https://www.flaticon.com/authors/eucalyp">Eucalyp</a>, <a href="https://www.flaticon.com/authors/smashicons" title="Smashicons">Smashicons</a> and <a href="https://www.freepik.com/">Freepik</a>
          <br/>
          {{ $copyleft }}
        </p>
      </div>
      {{- range $quickLinks }}
        <div class="column">
          <div class="footer-column">
            <div class="footer-header">
                <h3>{{ .title }}</h3>
            </div>
            <ul class="link-list">
              {{- range .links }}
              <li>
                <a href="{{ .link }}">
                  {{ .text }}
                </a>
              </li>
              {{- end }}
            </ul>
          </div>
        </div>
      {{- end }}
      <div class="column">
        <div class="footer-column">
          <div class="footer-header">
            <h3>Follow Us</h3>
            <nav class="level is-mobile">
              <div class="level-left">
                {{- range $socialMedia }}
                <a class="level-item" href="{{ .link }}">
                  <span class="icon">
                    {{- if eq .icon "fediverse" }}
                      <img src="/images/illustrations/icons/fediverse.svg" />
                    {{- else}}
                      <i class="fa fa-{{ .icon }}"></i>
                    {{- end}}
                  </span>
                </a>
                {{- end }}
              </div>
            </nav>

            {{- if $bulmaLogo }}
            <a href="https://bulma.io" target="_blank">
              <img src="{{ "/images/logos/made-with-bulma.png" | relURL }}" alt="Made with Bulma" width="128" height="24">
            </a>
            {{- end }}
          </div>
        </div>
      </div>
    </div>
  </div>
</footer>
